<bugID>801068<Summary>Requesting to get the camera, clicking away from the prompt does not persist the prompt and instead, immediately denies the permission prompt</Summary><Description>Steps:

1. Request the camera with video: true on mozGetUserMedia
2. Click away from the doorhanger prompt

Expected:

The prompt should operate the same as the geolocation prompt - it should sit as an icon next to the back button, no PERMISSION_DENIED should be fired until the user explicitly does not allow access to the camera.

Actual:

The prompt disappears following the behavior of a "Don't Allow," resulting in PERMISSION_DENIED be fired back from gUM.

Additional Notes:

Not sure if it was intentional to remove this doorhanger behavior for this feature in Firefox Desktop or not. Think of this bug being a parity issue between how the geolocation prompt works vs. camera access prompt works.</Description></bugID>